Subject: bug#9927: 24.0.90; unexec/unexmacosx fails with GCC 4.6.1

From: Glenn Morris <[email-masked]>
Date: Thu, 25 Jul 2013 15:37:41 -0400

Samuel Bronson wrote:

> I decided I might as well try the simplest thing that could possibly 
> work: just dump __DATA.__static_data in the usual way, and dump these 
> new BSS sections like __DATA.__bss, only in their entirety rather than 
> messing about with markers.
>
> When my first try ended in SIGSEGV, I ran "gobjdump --all" on temacs and 
> didn't see any evidence of staticly-linked libraries besides libgcc and 
> gnulib; then I noticed that I hadn't looked closely enough at the code 
> I'd copied and pasted into my new "else if" clause and rewrote it to 
> ACTUALLY work like that for __DATA.__bss without the marker stuff, and 
> then I actually got an Emacs.app that worked!
>
> You can see my changes at:
> http://bazaar.launchpad.net/~naesten/emacs/nextstep-stuff/revision/108754

Sorry for lack of response. If you have a patch that fixes this, could
you just send it here please? (The launchpad repo is hard to follow.)